org.apache.ignite.internal.processors.diagnostic

## Class DiagnosticProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.diagnostic.DiagnosticProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class DiagnosticProcessor
    extends GridProcessorAdapter

Processor which contained helper methods for different diagnostic cases.

### Nested Class Summary

Nested Classes
`static class` `DiagnosticProcessor.DiagnosticAction` Possible action after WAL scanning.
`static class` `DiagnosticProcessor.DiagnosticFileWriteMode` Mode of diagnostic dump file.

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

Fields
`static String` `DEFAULT_TARGET_FOLDER` Folder name for store diagnostic info.

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`DiagnosticProcessor(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dumpPageHistory(PageHistoryDiagnoster.DiagnosticPageBuilder builder)` Dump all history caches of given page.
`void` `onFailure(Ignite ignite, FailureContext failureCtx)` Print diagnostic info about failure occurred on `ignite` instance.
`void` `onKernalStart(boolean active)` Callback that notifies that kernal has successfully started, including all managers and processors.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_TARGET_FOLDER

    public static final String DEFAULT_TARGET_FOLDER

Folder name for store diagnostic info.

See Also:
  Constant Field Values

### Constructor Detail

#### DiagnosticProcessor

    public DiagnosticProcessor(GridKernalContext ctx)
                        throws IgniteCheckedException

Parameters:
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException`

### Method Detail

#### onKernalStart

    public void onKernalStart(boolean active)
                       throws IgniteCheckedException

Callback that notifies that kernal has successfully started, including all managers and processors.

Specified by:
  `onKernalStart` in interface `GridComponent`
Overrides:
  `onKernalStart` in class `GridProcessorAdapter`
Parameters:
  `active` - Cluster active flag (note: should be used carefully since state can change concurrently).
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### dumpPageHistory

    public void dumpPageHistory(@NotNull
                                PageHistoryDiagnoster.DiagnosticPageBuilder builder)
                         throws IgniteCheckedException

Dump all history caches of given page.

Parameters:
  `builder` - Parameters of dumping.
Throws:
  `IgniteCheckedException` - If scanning was failed.

#### onFailure

    public void onFailure(Ignite ignite,
                          FailureContext failureCtx)

Print diagnostic info about failure occurred on `ignite` instance. Failure details is contained in `failureCtx`.

Parameters:
  `ignite` - Ignite instance.
  `failureCtx` - Failure context.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020